<div class="container-fluid">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12 project_details">
            <div class="col-md-3 col-sm-3 col-xs-3 _project_name" *ngIf = "projectOptions">
                <a>{{projectDetails.projectName}}</a> 
                <span *ngIf = "projectCreator">|</span> <a *ngIf = "projectCreator" [routerLink]="['/dashboard/project/edit',projectDetails.projectHandle]" >
                    <i class="fa fa-gear"></i>
                </a> 
                | <a [routerLink] = "['/dashboard/project/credential',projectDetails.projectHandle]" >Credentials</a> 
                | <a [routerLink] = "['/dashboard/project/wiki',projectDetails.projectHandle]" >Wiki</a>
            </div>
            <div class="col-md-9 col-sm-9 col-xs-9 pull-right text-right _board_menu">
                <a class="_board_menu_item _board_refresh" (click) = "refresh_kanaban()">
                    <i class="fa fa-refresh"></i> Refresh
                </a>
                <a class="_board_menu_item" data-toggle="modal" data-target="#taskModal" (click) = "clear_add_task_fields('taskModal')">
                    <i class="fa fa-plus"></i> Add Task
                </a>
            </div>
        </div>
        <div class="col-md-12 ">

            <!-- <button type="button" class="btn btn-primary btn-fill" data-toggle="modal" data-target="#statusModal">
                    <i class="fa fa-clipboard" aria-hidden="true"></i> Add New Board
            </button>  -->

        </div>
        <div class="col-md-12 _task_kanban_container">
            <div id="taskKanBan"></div>    
        </div>
    </div>
    <div class="modal fade" id="taskModal" role="dialog" style="z-index: 1041;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-body new-task-modal">
                    <div class="container-fluid">
                        <h3 >New Issue</h3>
                        <div class="row">
                            <div class="col-md-9">
                                <form class="form-horizontal _add_task_form">
                                    <div class="form-group">
                                        <div class="col-md-12">
                                            <input type="text" class="form-control task_name" id="taskName" placeholder="Title" name="taskName" [(ngModel)]="taskDetails.taskName">
                                        </div>
                                    </div>        
                                    <div class="form-group">
                                        <div class="col-md-12">          
                                            <textarea class="form-control task_description" name="taskDescription" rows="10" placeholder="Description" [(ngModel)]="taskDetails.taskDescription"></textarea>
                                        </div>
                                    </div>
                                </form>
                                <button type="button" class="btn btn-info btn-fill pull-right task_button" (click) = "add_task()" >Save Task</button>
                                <button type="button" class="btn btn-secondary btn-fill pull-left" data-dismiss="modal">Close</button>
                            </div>
                            <div class="col-md-3 task_assigneed_div">
                                <div class="col-md-12">
                                    <label>Project</label>
                                    <p> {{projectDetails.projectName}} </p>
                                </div>
                                <div class="col-md-12">
                                    <label>Assignee</label>
                                    <div class="assignee_select2_div">    
                                        <select class="task_assignee form-control" name="task_assignee" multiple="multiple">
                                            <option *ngFor="let user of users;" [value]=user.id >{{user.first_name}}</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label>Due Date</label>
                                    <input type="text" id="addEndDate" class="form-control datepicker" name="datepicker"/>
                                </div>
                                <div class="col-md-12">
                                    <label>Tags</label>
                                    <input [(ngModel)]="taskDetails.taskTags" style="width: 100%;" type="text" class="form-control _uim_add_task_tags task_tags" id="taskTags1" placeholder="Enter Tags Name" name="taskTags" data-role="tagsinput"/>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="updateTaskModal" role="dialog" style="z-index: 1041;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-body update-task-modal">
                    <div class="container-fluid">
                        <h3>Update Issue</h3>
                        <div class="col-md-9 task_description_div">
                            <form class="form-horizontal _add_task_form">

                                <input type="hidden" value="{{taskDetails.taskId}}" [(ngModel)]="taskDetails.taskId" name="taskId">

                                <div class="form-group">
                                    <div class="col-md-12">
                                        <input type="text" class="form-control task_name" value="{{taskDetails.taskName}}" id="taskName" placeholder="Title" name="taskName" [(ngModel)]="taskDetails.taskName">
                                    </div>
                                </div>        
                                <div class="form-group">
                                    <div class="col-md-12">          
                                        <textarea class="form-control task_description" rows="10" name="taskDescription" placeholder="Description" [(ngModel)]="taskDetails.taskDescription"></textarea>
                                    </div>
                                </div>
                            </form>
                            <button type="button" class="btn btn-info btn-fill pull-right task_button" (click) = "update_task_details()" >Update</button>
                            <button type="button" class="btn btn-danger btn-fill pull-right" data-toggle="modal" data-target="#deleteTaskModal" >Delete</button>
                            <button type="button" class="btn btn-secondary btn-fill pull-left" data-dismiss="modal">Close</button>
                        </div>
                        <div class="col-md-3 task_assigneed_div">
                            <div class="col-md-12">
                                <label>Project</label>
                                <p> {{projectDetails.projectName}} </p>
                            </div>
                            <div class="col-md-12">
                                <label>Assignee</label>
                                <div class="assignee_select2_div">    
                                    <select class="update_task_assignee task_assignee form-control select2-single select2-hidden-accessible" name="task_assignee" multiple="multiple">
                                        <option *ngFor="let user of users;" [value]=user.id >{{user.first_name}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <label>Due Date</label>
                                <input type="text" id="updateEndDate" class="form-control datepicker" name="datepicker"/>
                            </div>
                            <div class="col-md-12">
                                <label>Tags</label>
                                <input type="text" class="form-control _uim_task_tags task_tags" [(ngModel)]="taskDetails.taskTags" id="taskTags" placeholder="Enter Tags Name" name="newTaskTags" data-role="tagsinput"/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="statusModal" role="dialog" style="z-index: 1041;">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Add New Status Board</h4>
                </div>
                <div class="modal-body">
                    <form class="form-horizontal">
                        <input type="hidden" class="_project_id" name="taskId"/>
                        <div class="form-group">
                            <label class="control-label col-sm-2" for="statusName">Status Name</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="taskName" placeholder="Enter Task Name" name="taskName" [(ngModel)]="statusBoardDetails.statusboardName">
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success btn-fill" (click) = "add_board()" >Save</button>
                    <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="deleteModal" role="dialog" style="z-index: 1041;">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Delete Status Board!!</h4>
                </div>
                <div class="modal-body">
                    <form class="form-horizontal">
                        <input type="hidden" name="deleteBoardId">
                        <div class="form-group">
                            <p class="text-danger" style="text-align: center;">Deleting this board will also delete all tasks inside board</p>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success btn-fill" (click) = "delete_status()" >Ok</button>
                    <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="deleteTaskModal" role="dialog" style="z-index: 1041;">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Delete Task!!</h4>
                </div>
                <div class="modal-body">
                    <form class="form-horizontal">
                        <div class="form-group">
                            <p class="text-danger" style="text-align: center;">Deleting this board will also delete all assignees and comments of task</p>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success btn-fill" (click) = "delete_task()" >Ok</button>
                    <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="taskDetailModal" role="dialog">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header task_details_tags">
                    <button type="button" class="close task_details_close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">{{taskDetails.taskName}}</h4>
                </div>
                <div class="modal-body detail-task-modal">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-9">
                                <h6> Description </h6>
                                <p>{{taskDetails.taskDescription}}</p>
                            </div>
                            <div class="col-md-3 task_assigneed_div">
                                <h6>Project</h6>
                                <p>{{projectDetails.projectName}}</p>
                                <h6>Assignees</h6>
                                <ol *ngIf = "singleTaskAssignee?.length > 0" >
                                    <li *ngFor = "let assignee of singleTaskAssignee">
                                        {{assignee.first_name}}
                                </li>
                            </ol>
                            <p *ngIf = "singleTaskAssignee?.length == 0">No user assigned.</p>
                            <h6>Created By</h6>
                            <p>{{taskDetails.createdBy}}</p>
                            <h6>Created At</h6>
                            <p>{{taskDetails.createdAt}}</p>
                            <h6>End Date</h6>
                            <p>{{taskDetails.endDate}}</p>
                        </div>
                        <div class="col-md-9 pull-left">
                            <p class="task_details_tags">{{taskDetails.taskTags}}</p>
                        </div>
                        <div class="col-md-12">
                            <app-comments [type] = "type" ></app-comments>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>